#include <iostream>

using namespace std;

int main ()
{
  int a1, a2;
  char c1, c2;

  string temp;

  cin >> temp;

  c1 = temp[0];
  c2 = temp[1];

  cin >> a1 >> a2;

  if (a1 == a2 || a1 == a2 - 1 || a1 == a2 + 1)
    {
        if(a1 == a2 + 1){
            for(int i=0; i<a1+a2; i++){
                if(i%2==0)
                {
                    cout << c1;
                }
                else
                {
                    cout << c2;
                }
            }
        }
        else{
            for(int i=0; i<a1+a2; i++){
                if(i%2==0)
                {
                    cout << c2;
                }
                else
                {
                    cout << c1;
                }
            }
        }
    }
	else
	{
	  cout << "nemoguce";
	}

      return 0;
    }